Skip to main content
`Ctrl`+`K`

# PetscFunctionListPrintNonEmpty

Print composed names for non `NULL` function pointers

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscFunctionListPrintNonEmpty(PetscFunctionList fl)

Logically Collective, No Fortran Support

## Input Parameter

- fl - the function list

## See Also

`PetscFunctionListAdd()`, `PetscFunctionList`, `PetscObjectQueryFunction()`

## Level

developer

## Location

src/sys/dll/reg.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages